List units of measurement available for tenant country
Authorization
bearer In: header
Query Parameters
Opaque cursor from CursorPaginationDto.cursor. Use next_cursor or previous_cursor from the previous response.
Page size from CursorPaginationDto.limit.
201 <= value <= 100Full-text search term from CursorPaginationDto.search.
Include soft-deleted records from CursorPaginationDto.with_deleted.
falseInclude payload JSON search from CursorPaginationDto.include_payload_search when supported by the endpoint.
falseSort expression from CursorPaginationDto.sort in the format field:order (for example created_at:desc).
Exact match for "code" (string)
Not equal filter for "code" (string)
Contains filter for "code"
Does not contain filter for "code"
Exact match for "title_en" (string)
Not equal filter for "title_en" (string)
Contains filter for "title_en"
Does not contain filter for "title_en"
Exact match for "title_pt" (string)
Not equal filter for "title_pt" (string)
Contains filter for "title_pt"
Does not contain filter for "title_pt"
Exact match for "title_es" (string)
Not equal filter for "title_es" (string)
Contains filter for "title_es"
Does not contain filter for "title_es"
Exact match for "is_blocked" (boolean)
Not equal filter for "is_blocked" (boolean)
Exact match for "display_order" (number)
Not equal filter for "display_order" (number)
Greater than filter for "display_order" (number)
Greater than or equal filter for "display_order" (number)
Less than filter for "display_order" (number)
Less than or equal filter for "display_order" (number)
Exact match for "created_at" (ISO 8601 datetime)
Not equal filter for "created_at" (ISO 8601 datetime)
Greater than filter for "created_at" (ISO 8601 datetime)
Greater than or equal filter for "created_at" (ISO 8601 datetime)
Less than filter for "created_at" (ISO 8601 datetime)
Less than or equal filter for "created_at" (ISO 8601 datetime)
Exact match for "updated_at" (ISO 8601 datetime)
Not equal filter for "updated_at" (ISO 8601 datetime)
Greater than filter for "updated_at" (ISO 8601 datetime)
Greater than or equal filter for "updated_at" (ISO 8601 datetime)
Less than filter for "updated_at" (ISO 8601 datetime)
Less than or equal filter for "updated_at" (ISO 8601 datetime)
Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.biterp.ai/units-of-measurement"{
"data": [
{
"id": "string",
"code": "string",
"symbol": "string",
"fiscal_codes": {
"property1": "string",
"property2": "string"
},
"country_codes": [
"string"
],
"titles": {
"property1": "string",
"property2": "string"
},
"descriptions": {
"property1": "string",
"property2": "string"
},
"is_blocked": true,
"display_order": 0,
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"pagination": {
"limit": 0,
"has_next_page": true,
"has_previous_page": true,
"current_query_cursor": "string",
"current_page_cursor": "string",
"next_cursor": "string",
"previous_cursor": "string"
},
"meta": {
"filters": {},
"search": "string",
"sort": {
"field": "string",
"order": "asc"
}
}
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}{
"statusCode": 404,
"message": "Customer not found",
"error": "Not Found",
"code": "CUSTOMER_NOT_FOUND"
}
